2020-07-15 00:13 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002382FSSCPmultiplayerpublic2011-08-24 04:39
ReporterParias 
Assigned Tokarajorma 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionAntipodes 8 
Target VersionFixed in Version 
Summary0002382: Cutscene-related SEXPs aren't propogated to multiplayer clients
DescriptionThe current implementation of cutscene functions don't seem to work properly in multiplayer - for example, calling set-camera-position, set-cutscene-bars, etc are functions that only affect the host player, but not connecting clients.

This makes it a challenge for implementing multiplayer missions where cutscene functions would be a useful way to drive a central plot forward (and work around the lack of command briefings and such).

Would it be possible to enable this functionality for multiplayer? Basically if cutscene events are called for co-operative missions which stop / lock out the player's craft, move the camera, display objects and subtitles, and perform other cutscene-related functions, it'd be cool if those events affected all other connected clients on the player's team in the same way, so they all get the same consistent cutscene.

Thanks.
TagsNo tags attached.
Attached Files

-Relationships
related to 0002276resolvedkarajorma more sexps that dont work for clients in mp 
+Relationships

-Notes

~0012607

Parias (developer)

Aha, my bad. I thought I had heard of this somewhere before - I guess this might be an almost-duplicate of 0002276 wherein requests to get some of the other SEXPs working in multiplayer for clients were being made. I see a lot of them were fixed too.

Right now it looks like show-subtitle-text works for clients for example - it doesn't look like there's any way to set up cutscene cameras for clients though.
+Notes

-Issue History
Date Modified Username Field Change
2011-01-22 21:31 Parias New Issue
2011-01-22 22:57 Parias Note Added: 0012607
2011-05-29 03:26 Goober5000 Relationship added related to 0002276
2011-08-19 06:13 karajorma Status new => assigned
2011-08-19 06:13 karajorma Assigned To => karajorma
2011-08-24 04:39 karajorma Status assigned => resolved
2011-08-24 04:39 karajorma Resolution open => fixed
+Issue History